using System;
using Server;

namespace Server.Items
{
	public abstract class BaseEquipableLight : BaseLight
	{
		[Constructable]
		public BaseEquipableLight( int itemID ) : base( itemID )
		{
			Layer = Layer.TwoHanded;
		}

		public BaseEquipableLight( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}