using System;
using Server;

namespace Server.Items
{
	public class ChaosShield : BaseShield
	{
		[Constructable]
		public ChaosShield() : base( 0x1BC3, 32 )
		{
		}

		public ChaosShield( Serial serial ) : base(serial)
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 );//version
		}
	}
}
