using System;
using Server;

namespace Server.Misc
{
	public class AutoSave : Timer
	{
		private static TimeSpan m_Delay = TimeSpan.FromMinutes( 5.0 );

		public static void Initialize()
		{
			new AutoSave().Start();
		}

		public AutoSave() : base( m_Delay, m_Delay )
		{
			Priority = TimerPriority.OneMinute;
		}

		protected override void OnTick()
		{
			World.Save();
		}
	}
}